org.apache.catalina.valves

## Class AbstractAccessLogValve.UserElement

- java.lang.Object
- - org.apache.catalina.valves.AbstractAccessLogValve.UserElement

- All Implemented Interfaces:
    AbstractAccessLogValve.AccessLogElement
  Enclosing class:
    AbstractAccessLogValve

      protected static class AbstractAccessLogValve.UserElement
      extends Object
      implements AbstractAccessLogValve.AccessLogElement

  write remote user that was authenticated (if any), else '-' - %u

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AbstractAccessLogValve.UserElement()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addElement(CharArrayWriter buf, Date date, Request request, Response response, long time)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractAccessLogValve.UserElement

          protected AbstractAccessLogValve.UserElement()

  - ### Method Detail

    - #### addElement

          public void addElement(CharArrayWriter buf,
                        Date date,
                        Request request,
                        Response response,
                        long time)

      Specified by:
        `addElement` in interface `AbstractAccessLogValve.AccessLogElement`

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.